<template>
  <InputContainer :label="label">
    <BaseTextInput
      :placeholder="placeholder"
      :value="value"
      @input="$emit('input', $event)"
      minlength="2"
      pattern=".{2,}"
    />
    <!-- simply using minlength doesn't seem to work when switching between tools because I guess v-model (or the equivalent we use here) gets around it, adding pattern seems to help. -->
  </InputContainer>
</template>

<script>
import InputContainer from './InputContainer'
import BaseTextInput from './BaseTextInput'

export default {
  components: {
    InputContainer,
    BaseTextInput
  },
  props: {
    label: String,
    placeholder: String,
    value: String
  },
  emits: ['input']
}
</script>

<style scoped lang="scss"></style>
